<template>
  <!-- dialog-consent -->
  <div class="text-center">
    <v-dialog v-model="dialog_consent" max-width="800" scrollable persistent>
      <v-card>
        <v-card-title class="headline blue lighten-1">
          <span class="ml-2" style="color:white"> ข้อตกลงและเงื่อนไข </span>
        </v-card-title>

        <v-card-text>
          <v-list-item-title class="text-center">
            <b>ระบบ AI - CXR Screening</b> </v-list-item-title
          ><br />
          <div class="text--primary">
            <dd style="text-indent: 2.5em;">
              AI - CXR Screening
              เป็นแพลตฟอร์มที่ถูกสร้างขึ้นเพื่อให้บริการเกี่ยวกับระบบวิเคราะห์และตรวจสอบความเสี่ยงในการเกิดโรคต่าง
              ๆ เช่น วัณโรค โดยนำเข้าข้อมูลภาพถ่ายรังสีทรวงอก (CXR) จากนั้นระบบ
              AI จะวิเคราะห์ภาพ CXR ลักษณะทางกายภาพของการเกิดโรคต่าง ๆ
              เพื่อใช้เป็นเครื่องมือเสริมสำหรับแพทย์ในการคัดกรองผู้ป่วยเบื้องต้นก่อนยืนยันการอ่านผล
              CXR ของผู้ป่วยด้วยแพทย์รังสีอีกครั้ง
            </dd>
            <br />
            <dd style="text-indent: 2.5em;">
              การตกลงสมัครใช้งาน AI - CXR Screening
              ถือว่าผู้ใช้บริการได้อ่านและทำความเข้าใจข้อตกลงและเงื่อนไข AI -
              CXR Screening (ซึ่งต่อไปจะเรียกว่า “ข้อตกลงและเงื่อนไข”)
              โดยละเอียดแล้ว และผู้ใช้บริการยอมรับข้อตกลงและเงื่อนไขทุกประการ
            </dd>
            <br />
            <dd style="text-indent: 2.5em;">
              ทั้งนี้ บริษัท แมเนจ เอไอ โซลูชั่น จำกัด (“บริษัทฯ”)
              ขอสงวนสิทธิ์ในการปรับเปลี่ยนเงื่อนไขของข้อตกลงและเงื่อนไขฉบับนี้ได้โดยไม่ต้องแจ้งให้ทราบล่วงหน้า
              โดยผู้ใช้บริการยอมรับการแจ้งเตือนหรือแจ้งการเปลี่ยนแปลงผ่านอีเมล
              และผู้ใช้บริการตกลงยอมรับข้อผูกพันใด ๆ
              ที่เกิดจากการเปลี่ยนแปลงข้อตกลงและเงื่อนไขฉบับนี้หลังจากมีการแจ้งเตือนดังกล่าวเป็นเวลา
              24 ชั่วโมง
            </dd>
            <br />
            <b>1. การดำเนินการเกี่ยวกับข้อมูลส่วนบุคคล</b><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              1.1 ข้อมูลส่วนบุคคล หมายความรวมถึง
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ก. ข้อมูลส่วนตัว ได้แก่ ชื่อ นามสกุล
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ข. ข้อมูลการติดต่อ ได้แก่ ที่อยู่ หมายเลขโทรศัพท์ อีเมล
              สถานที่ทำงาน
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              1.2 วัตถุประสงค์ของการเก็บรวบรวม ใช้ เปิดเผย ข้อมูลส่วนบุคคล
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ก. เพื่อใช้สำหรับการสมัครสมาชิกของระบบ AI - CXR Screening
              (โดยบริษัทแมเนจ เอไอ โซลูชั่น จำกัด)
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ข. เพื่อเป็นข้อมูลในการเข้าใช้บริการระบบ AI – CXR Screening
              ในการวิเคราะห์และตรวจสอบความเสี่ยงในการเกิดโรคต่าง ๆ
            </p>
            <p style="text-indent: 5.5em;" class="mb-0">
              รวมถึงการตรวจสอบรายงานต่าง ๆ ที่เกี่ยวข้องกับการใช้บริการ
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              1.3 เงื่อนไขอื่น ๆ ที่เกี่ยวข้องกับการประมวลผลข้อมูลส่วนบุคคล
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ก. บริษัทฯ จะเก็บรวบรวม
              ใช้และเปิดเผยข้อมูลส่วนบุคคลของผู้ใช้บริการเพื่อวัตถุประสงค์ตามข้อ
              1.2 เท่านั้น
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ข. บริษัทฯ จะดูแลไม่ให้ผู้ปฏิบัติงานของบริษัทฯ เปิดเผย
              แสดงหรือทำให้ปรากฏในลักษณะอื่นใดซึ่งข้อมูลส่วนบุคคลของผู้ใช้
            </p>
            <p style="text-indent: 5.5em;" class="mb-0">
              บริการต่อบุคคลภายนอกเว้นแต่จะเป็นไปตามเงื่อนไขภายใต้กฎหมายคุ้มครองข้อมูลส่วนบุคคล
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ค. บริษัทฯ
              กำหนดให้มีมาตรการในการรักษาความมั่นคงปลอดภัยของข้อมูลส่วนบุคคลอย่างเหมาะสมและสอดคล้องกับการ
            </p>
            <p style="text-indent: 5.5em;" class="mb-0">
              รักษาความลับของข้อมูลส่วนบุคคล
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              ง.
              ผู้ใช้บริการสามารถใช้สิทธิในความเป็นส่วนตัวของข้อมูลส่วนบุคคลได้ตามเงื่อนไขภายใต้กฎหมายคุ้มครองข้อมูลส่วนบุคคล
            </p>
            <p style="text-indent: 5.5em;" class="mb-0">
              โดยแจ้งความประสงค์มาที่ บริษัท แมเนจ เอไอ โซลูชั่น จำกัด 1768
              อาคารไทยซัมมิท ทาวเวอร์ ชั้น 16 ถนนเพชรบุรีตัดใหม่
            </p>
            <p style="text-indent: 5.5em;" class="mb-0">
              แขวงบางกะปิ เขตห้วยขวาง กรุงเทพมหานคร 10310 หมายเลขโทรศัพท์ 02
              2577 197
            </p>
            <p style="text-indent: 4.5em;" class="mb-0">
              จ. บริษัทฯ จะเก็บ ใช้
              และเปิดเผยข้อมูลส่วนบุคคลของผู้ใช้บริการตราบเท่าที่จำเป็น
            </p>
            <b>2. การใช้บริการระบบ AI - CXR Screening</b><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              2.1 ระบบ AI - CXR Screening
              เป็นเครื่องมือที่ช่วยวิเคราะห์และตรวจสอบความเสี่ยงในการเกิดโรคต่าง
              ๆ โดยผู้ใช้งาน สามารถเข้า ใช้ระบบ โดยการ Login ผ่าน website
              และสามารถ Upload รูปภาพได้ 2 ชนิด คือ ชนิด Dicom และ PNG ทั้งนี้
              ผู้ใช้งานสามารถดูภาพย้อนหลังและ Download ข้อมูลได้
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              2.2 เมื่อผู้ใช้งาน Upload รูปภาพ ตามข้อ 2.1 แล้ว ระบบ AI
              จะวิเคราะห์ภาพ CXR ลักษณะทางกายภาพของการเกิดโรคต่าง ๆ
              เพื่อใช้เป็นเครื่องมือเสริมสำหรับแพทย์ในการคัดกรองผู้ป่วยเบื้องต้นก่อนยืนยันการอ่านผล
              CXR ของผู้ป่วยด้วยแพทย์รังสีอีกครั้ง
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              2.3 ผู้ใช้บริการ จะต้องปฏิบัติตามเงื่อนไขของบริษัทฯ
              และผู้ใช้บริการจะต้องไม่มีวัตถุประสงค์อันเป็นสิ่งที่ผิดกฎหมายหรือต้องห้ามตามเงื่อนไข
              และข้อกำหนดการใช้งานเหล่านี้ ผู้ใช้บริการจะไม่ใช้ระบบ AI - CXR
              Screening และเว็บไซต์ ในลักษณะใด ๆ
              ก็ตามซึ่งสามารถทำให้เกิดความเสียหาย ทำให้ไร้ซึ่งความสามารถ
              หรือทำให้ระบบ AI - CXR Screening
              และเว็บไซต์หรือเครือข่ายที่เชื่อมต่อ กับระบบ AI - CXR Screening
              และเว็บไซต์ต้องเสียหาย หรือทำให้เกิดการรบกวนการใช้งานระบบ AI - CXR
              Screening และเว็บไซต์ของบุคคลอื่นใด
              ผู้ใช้บริการจะต้องไม่พยายามเข้าสู่ระบบ AI - CXR Screening
              และเว็บไซต์โดยปราศจากอำนาจไม่ว่าด้วยวิธีการเจาะฐานข้อมูล (hacking)
              ทำลายรหัสลับส่วนตัว (password mining) หรือวิธีการอื่นใด
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              2.4 ผู้ใช้บริการจะไม่โอนลิขสิทธิ์ใด ๆ ของตนทั้งหมดหรือบางส่วน
              ตามข้อตกลงและเงื่อนไขการใช้บริการระบบ AI - CXR Screening
              ให้แก่บุคคลอื่น
            </p>
            <b>3. ค่าบริการและค่าธรรมเนียมต่าง ๆ</b><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              3.1 ผู้ใช้บริการตกลงชำระค่าบริการทั้งหมดให้แก่บริษัทฯ
              ตามอัตราค่าบริการที่ บริษัทฯ กำหนด และตามวิธีการที่ บริษัทฯ
              แจ้งประกาศไว้ในใบแจ้งรายการใช้บริการ ในจดหมาย
              หรือในข่าวสารที่ส่งไปถึงผู้ใช้บริการ
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              3.2 ผู้ใช้บริการสามารถขอทราบอัตราค่าใช้บริการ ได้ที่สำนักงาน
              เว็บไซต์ หรือโทรศัพท์ผ่านศูนย์บริการลูกค้าสัมพันธ์ของบริษัทฯ
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              3.3 บริษัทฯ
              อาจเรียกเก็บค่าบริการในอัตราที่ต่ำกว่าที่กำหนดไว้ตามรายการส่งเสริมการ
              ขายและการใช้บริการที่กำหนดขึ้นเป็นคราวๆ
            </p>
            <b
              >4. เครื่องหมายการค้า เครื่องหมายบริการ ลิขสิทธิ์
              และสิทธิในทรัพย์สินทางปัญญาอื่นๆ</b
            ><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              ข้อมูลที่กำหนดหรือแสดงอยู่ใน AI - CXR Screening
              เป็นทรัพย์สินของบริษัทฯ โดยหมายความรวมถึง เครื่องหมายการค้า
              เครื่องหมายบริการ ชื่อทางการค้า
              และสัญลักษณ์ทั้งหมดที่อ้างอิงหรือกำหนดอยู่บน AI - CXR Screening
              และเว็บไซต์ โดยไม่จำต้องคำนึงถึงว่าเครื่องหมายการค้า
              เครื่องหมายบริการ และสัญลักษณ์ดังกล่าว
              ได้รับการจดทะเบียนแล้วหรือไม่ (ซึ่งรวมเรียกว่า
              "เครื่องหมายการค้า")
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              บริษัทฯ ไม่อนุญาตหรือให้สิทธิในการใช้ข้อมูลและเครื่องหมายการค้าใด
              ๆ ที่กล่าวข้างต้น รวมถึงไม่อนุญาตให้กระทำการใด ๆ
              อันเป็นการเปลี่ยนแปลง แก้ไข ทำใหม่ ทำซ้ำ ดาวน์โหลด ส่งผ่าน
              (ไม่ว่าในรูปแบบใด ๆ หรือโดยวิธีการใด ๆ) หรือใช้ในลักษณะใด ๆ
              ก็ตามเพื่อวัตถุประสงค์ในทางการค้า
              เว้นแต่จะได้รับความยินยอมเป็นลายลักษณ์อักษรล่วงหน้าจากบริษัทฯ
            </p>
            <b
              >5. การบอกเลิกข้อตกลงและเงื่อนไข ข้อจำกัดในการเข้าสู่ข้อมูล
              และข้อห้ามการใช้งาน</b
            ><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              ในกรณีที่บริษัทฯ
              เห็นว่าข้อใดข้อหนึ่งดังต่อไปนี้เกิดขึ้นหรืออาจจะเกิดขึ้นกับผู้ใช้บริการ
              บริษัทฯ
              สามารถใช้ดุลพินิจแต่เพียงผู้เดียวในการบอกเลิกข้อตกลงและเงื่อนไขนี้
              หรือการยกเลิกการให้เข้าสู่ข้อมูลไม่ว่าบางส่วนหรือทั้งหมดของ ระบบ
              AI - CXR Screening รวมทั้งบริการที่เกี่ยวข้องในส่วนใดๆ ของบริษัทฯ
              โดยไม่จำเป็นต้องแจ้งให้ผู้ใช้บริการทราบล่วงหน้า โดยบริษัทฯ
              ไม่มีหน้าที่รับผิดชอบต่อความเสียหายที่เกิดขึ้นแก่
              ผู้ใช้บริการจากการบอกเลิกข้อตกลงและเงื่อนไขดังกล่าว
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              5.1 ในกรณีที่ผู้ใช้บริการใช้งาน ระบบ AI - CXR Screening
              สำหรับวัตถุประสงค์ที่ไม่ชอบด้วยกฎหมาย
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              5.2 ในกรณีที่บริษัทฯ
              เชื่อว่ามีการขาดความน่าเชื่อถือของผู้ใช้บริการ
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              5.3 ในกรณีที่ผู้ใช้บริการไม่เข้าสู่บัญชีของตนภายในระยะเวลาหนึ่ง
              ตามเงื่อนไขที่บริษัทฯ กำหนด
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              5.4 ในกรณีที่ผู้ใช้บริการได้ดำเนินการที่บริษัทฯ เห็นว่าไม่เหมาะสม
            </p>
            <b>6. ข้อจำกัดความรับผิด</b><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              6.1 ผู้ใช้บริการรับทราบว่าการใช้บริการของบริษัทฯ
              ไม่ได้ทำให้ผู้ใช้บริการเป็นเจ้าของสิทธิในบัญชีผู้ใช้งานหรือมีผลประโยชน์ในทรัพย์สินใดๆ
              ทั้งนี้
              ผู้ใช้บริการรับทราบว่าความเป็นเจ้าของสิทธิในบัญชีผู้ใช้งานเป็นของบริษัทฯ
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              6.2 เมื่อผู้ใช้งานได้ลงทะเบียนเพื่อขอใช้บริการ ระบบ AI - CXR
              Screening แล้ว ระบบ AI - CXR Screening จะทำการเก็บรักษา
              ข้อมูลสำหรับการเข้าใช้งานไว้โดยไม่เปิดเผยต่อผู้อื่นหรือเปิดเผยต่อสาธารณะ
              หากข้อมูลดังกล่าวถูกเปิดเผยจากการกระทำของผู้ใช้บริการไม่ว่าโดยทางตรงหรือทางอ้อม
              บริษัทฯ จะไม่รับผิดชอบต่อการกระทำนั้นๆ
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              6.3 หลังจากบริษัทฯ ให้สิทธิการเข้าใช้งาน ระบบ AI - CXR Screening
              แล้ว จะถือว่าบัญชีนั้นเป็นสิทธิของผู้ใช้บริการในการเก็บ
              เปลี่ยนแปลง และเข้าในงาน ระบบ AI - CXR Screening โดยบริษัทฯ
              จะไม่เข้าไปดำเนินการใดๆ หากเกิดการสูญหายของข้อมูล และบริษัทฯ
              ตรวจสอบแล้วพบว่าเป็นการดำเนินการของผู้ใช้บริการเอง บริษัทฯ
              จะไม่รับผิดชอบต่อการกระทำนั้นๆ
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              6.4การเข้าใช้งานจะต้องทำการเข้าใช้ผ่านทางช่องทางปกติเท่านั้น
              หากบริษัทฯ ตรวจพบว่ามีการละเมิดหรือพยายามเข้าสู่ระบบโดยมิชอบ
              บริษัทฯ สามารถยกเลิกการให้บริการ และ/หรือ ระงับบัญชีผู้ใช้งานได้
              ทั้งนี้ หากการกระทำดังกล่าวข้างต้นก่อให้เกิดความเสียหายต่อ ระบบ AI
              - CXR Screening ผู้ใช้บริการจะต้องรับผิดชอบในความเสียหายต่อบริษัทฯ
              ตามมูลค่าความเสียหายที่เกิดขึ้นจริง
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              6.5 ผู้ใช้บริการต้องไม่กระทำการใด ๆ
              อันเป็นเหตุให้เกิดความเสียหายต่อบุคคลภายนอก หรือไม่กระทำการใดๆ
              อันเป็นความผิดต่อพระราชบัญญัติว่าด้วยการกระทำความผิดเกี่ยวกับคอมพิวเตอร์
              พ.ศ. 2560 หรือกฎหมายอื่นใด หากบริษัทฯ
              ตรวจพบว่ามีการกระทำหรืองดเว้นการกระทำใดดังกล่าวข้างต้น บริษัทฯ
              สามารถยกเลิกการให้บริการ และ/หรือ ระงับบัญชีผู้ใช้งานได้
              และหากการกระทำดังกล่าวข้างต้นก่อให้เกิดความเสียหายต่อ AI - CXR
              Screening ผู้ใช้บริการจะต้องรับผิดชอบในความเสียหายต่อบริษัทฯ
              ตามมูลค่าความเสียหายที่เกิดขึ้นจริง
            </p>
            <p style="text-indent: 2.5em;" class="mb-0">
              6.6. บริษัทฯ
              ไม่ได้ให้คำรับรองหรือรับประกันโดยชัดแจ้งหรือโดยปริยายแต่อย่างใด
              เกี่ยวกับความเหมาะสม ความน่าเชื่อถือ ความมีอยู่และใช้งานได้ทันกาล
              ทันเวลา การไม่มีไวรัสหรือสิ่งอื่นใดที่เป็นอันตราย
              รวมทั้งความถูกต้องของข้อมูล ซอฟต์แวร์ สินค้าและรูปแบบแผนผังใดๆ
              ที่เกี่ยวข้องที่ปรากฏอยู่บน AI - CXR Screening ทั้งนี้
              ไม่ว่าจะเพื่อวัตถุประสงค์ใด ๆ ก็ตาม บริษัทฯ
              ไม่มีความรับผิดและจะไม่รับผิดสำหรับความสูญเสียหรือความเสียหายใดๆ
              ที่เกิดขึ้นไม่ว่าจะโดยตรงหรือโดยอ้อม
              (รวมทั้งความสูญเสียหรือความเสียหายกรณีพิเศษ) จากการใช้ ระบบ AI -
              CXR Screening โดยผู้ใช้บริการ
            </p>
            <b>7. การรักษาข้อมูลความลับ</b><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              บริษัทฯ
              ตกลงที่จะดูแลรักษาข้อมูลความลับของผู้ใช้บริการเพื่อให้เป็นความลับ
              โดยจะไม่เปิดเผยข้อมูลของผู้ใช้บริการให้บุคคลใดทราบ
              เว้นแต่จะได้รับความยินยอมเป็นลายลักษณ์อักษรจากผู้ใช้บริการ
              และ/หรือ เป็นการขอข้อมูลตามที่กฎหมายกำหนด
            </p>
            <b>8. ช่องทางการติดต่อ</b><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              บริษัท แมเนจ เอไอ โซลูชั่น จำกัด 1768 อาคารไทยซัมมิท ทาวเวอร์ ชั้น
              16 และชั้น IT ถนนเพชรบุรี ตัดใหม่ แขวงบางกะปิ เขตห้วยขวาง
              กรุงเทพมหานคร 10310 หมายเลขโทรศัพท์ : 02 2577 197
            </p>
            <b>9. กฎหมายที่ใช้บังคับ</b><br />
            <p style="text-indent: 2.5em;" class="mb-0">
              การตีความและการบังคับตามข้อตกลงและเงื่อนไขฉบับนี้ให้เป็นไปตามกฎหมายไทย
            </p>
          </div>
        </v-card-text>

        <v-divider></v-divider>

        <v-card-actions>
          <v-checkbox v-model="checkbox" :label="`ยอมรับข้อตกลง`"></v-checkbox>
          <v-spacer></v-spacer>
          <v-btn
            color="primary"
            class="lighten-1"
            @click="consent()"
            :disabled="check_accept"
          >
            I accept
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      package_use: [],
      dialog_consent: true,
      checkbox: false,
      check_accept: true,
      form_consent: {
        username: "",
        password: "",
        user_id: "",
        consent: "true"
      },
      // api: "https://1ls.manageai.co.th"
      // api: "https://1ls-demo.manageai.co.th"
      api: "http://localhost:8081"
    };
  },
  mounted() {
    this.dialog_consent = true;
    console.log("info_login", this.$cookies.get("info_login"));
  },
  watch: {
    checkbox(val) {
      if (val == false) {
        this.check_accept = true;
      } else {
        this.check_accept = false;
      }
    }
  },
  methods: {
    consent() {
      this.form_consent.username = this.$cookies.get("info_login").username;
      this.form_consent.password = this.$cookies.get("info_login").password;
      this.form_consent.user_id = this.$cookies.get("info_login").user_id;
      this.form_consent.consent = this.checkbox;
      this.axios
        .post(
          process.env.VUE_APP_API + "/api/v3/authenticate/checKConsent",
          this.form_consent
        )
        .then(response => {
          console.log(response);
          if (response.data.status == "fail") {
            this.dialog_consent = false;
            this.$swal({
              icon: "error",
              title: "Error!",
              text: "Please accept consent.",
              confirmButtonText: "OK",
              allowOutsideClick: false
            }).then(() => {
              this.dialog_consent = true;
            });
          } else {
            this.dialog_consent = false;
            this.$swal({
              icon: "success",
              title: "Success!",
              text: "Accept consent success.",
              confirmButtonText: "OK",
              allowOutsideClick: false
            }).then(() => {
              console.log("success");
              console.log("role", this.$cookies.get("info_login").role);
              if (this.$cookies.get("info_login").role == "superadmin") {
                //////////////////////// role ==> superadmin  ////////////////////////////
                window.location.href =
                  this.api + "/cxrmanageuser/management/user";
              } else if (this.$cookies.get("info_login").role == "user") {
                console.log("user");
                console.log(
                  "service",
                  this.$cookies.get("service").package_use
                );
                this.package_use = this.$cookies.get("service").package_use;
                //////////////////////// role ==> user  ////////////////////////////
                if (this.package_use.length < 2) {
                  console.log("1-service");
                  if (this.package_use == "cxr") {
                    console.log("cxr-check");
                    // ==== >   api < ==== //
                    window.location.href = this.api + "/cxrservice/upload";
                  } else if (this.package_use == "retina") {
                    console.log("ratina-check");
                    // ==== >   api < ==== //
                    window.location.href = this.api + "/retinaservice/upload";
                  }
                } else {
                  console.log("please choose service");
                  localStorage.setItem(
                    "service",
                    JSON.stringify(this.$cookies.get("service").package_use)
                  );
                  this.$router.push("/service");
                }
              } else if (this.$cookies.get("info_login").role == "viewer") {
                //////////////////////// role ==> viewer  ////////////////////////////
                if (this.$cookies.get("service").package_use.length < 2) {
                  console.log("1-service");
                  if (this.$cookies.get("service").package_use == "cxr") {
                    console.log("cxr-check");
                    // ==== >   api < ==== //
                    window.location.href = this.api + "/cxrservice/history";
                  } else if (
                    this.$cookies.get("service").package_use == "retina"
                  ) {
                    console.log("ratina-check");
                    // ==== >   api < ==== //
                    window.location.href = this.api + "/retinaservice/history";
                  }
                } else {
                  console.log("please choose service");
                  localStorage.setItem(
                    "service",
                    JSON.stringify(this.$cookies.get("service").package_use)
                  );
                  this.$router.push("/service");
                }
              }
            });
          }
        })
        .catch(error => {
          console.log(error);
        });
    }
  }
};
</script>

<style></style>
